import { UmbLitElement } from '../../core/lit-element/index.js';
import type { UmbPropertyEditorConfigCollection, UmbPropertyEditorUiElement } from '../../core/property-editor/index.js';
/**
 * @element umb-property-editor-ui-select
 */
export declare class UmbPropertyEditorUISelectElement extends UmbLitElement implements UmbPropertyEditorUiElement {
    #private;
    private _value;
    set value(newValue: string | undefined);
    get value(): string;
    set config(config: UmbPropertyEditorConfigCollection | undefined);
    private _options;
    render(): import("lit-html").TemplateResult<1>;
}
export default UmbPropertyEditorUISelectElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-select': UmbPropertyEditorUISelectElement;
    }
}
